package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.OSTenantModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 验证接口
 *
 * @author weiwei
 */
public interface AuthProvider extends SuperProvider {

	public BocloudResult auth();

	default BocloudResult removeAuthFromMemory(String endpoint, String username) {
		return new BocloudResult(true, "");
	}

	default BocloudResult createProject(OSTenantModel model) {
		return new BocloudResult(true, "");
	}

	default BocloudResult createProject(String projectName) {
		return new BocloudResult(true, "");
	}

	default BocloudResult removeProject(String projectName) {
		return new BocloudResult(true, "");
	}

	default BocloudResult listProjects() {
		return new BocloudResult(true, "");
	}

	default BocloudResult listDomains() {
		return new BocloudResult(true, "");
	}

	default BocloudResult listUsers() {
		return new BocloudResult(true, "");
	}

	default BocloudResult modifyProject(OSTenantModel osModel) {
		return new BocloudResult(false, "开发中...");
	}
}
